--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 11/209
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release             15/06/2011 M Davenport       9.0.000.0
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
--
PROMPT
PROMPT Script to regress MDD change 11/209
PROMPT 
PROMPT Version 9.0.000.0
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Delete WML as MAP. (MDD 11/209)
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  L_MP_CODE           VARCHAR2(100);
  L_MP_ROLE           VARCHAR2(100);
  L_APPLY_CODE        VARCHAR2(1);


  CURSOR C_MP_CODE IS
    SELECT PARAM_VALUE
      FROM PROGRAM_PARAMETERS
     WHERE PARAM_NAME = 'DEFAULT_MARKET_PARTICIPANT_CODE';

  CURSOR C_MP_ROLE IS
    SELECT PARAM_VALUE
      FROM PROGRAM_PARAMETERS
     WHERE PARAM_NAME = 'SYSTEMOWNER_ROLE';

BEGIN
  OPEN C_MP_CODE;
  FETCH C_MP_CODE INTO L_MP_CODE;
  IF C_MP_CODE%NOTFOUND
  THEN
    L_MP_CODE := 'GENERIS';
  END IF;
  CLOSE C_MP_CODE;

 OPEN C_MP_ROLE;
  FETCH C_MP_ROLE INTO L_MP_ROLE;
  IF C_MP_ROLE%NOTFOUND
  THEN
    L_MP_ROLE := 'SUP';
  END IF;
  CLOSE C_MP_ROLE;

  L_APPLY_CODE :='Y';

  IF L_MP_CODE = 'BGT' AND L_MP_ROLE <> 'MAM'
     THEN L_APPLY_CODE := 'N';
  END IF;


  IF L_APPLY_CODE = 'Y' THEN
       EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                       WHERE MARKET_PARTICIPANT_CODE = ''WML''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''MAP''';

    END IF;
EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--

